<?php

namespace PrestaShop\PrestaShop\Core\Image\Parser;

/**
 * Class ImageTagPathParser parses "src" attribute of given image tag and prefixed it with shop's uri.
 *
 * This service helps retrieving image path from image tag generated by legacy ImageManager::thumbnail() method
 * so image can be displayed in new pages.
 */
final class ImageTagSourceParser implements \PrestaShop\PrestaShop\Core\Image\Parser\ImageTagSourceParserInterface
{
    /**
     * {@inheritdoc}
     */
    public function parse(string $imageTag) : ?string
    {
    }
}
